Skip to main content

Get recurring resident charge by ID

GEThttps://api.propexo.com/v1/recurring-resident-charges/:recurring_resident_charge_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

recurring_resident_charge_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the recurring resident charge

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /ItfResidentTransactions/GetResidentLeaseChargesResident Transactions
    Example: 100001
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /ItfResidentTransactions/GetResidentLeaseChargesResident Transactions
    Example: kjhjhjwe
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI_REST

    Example: null
    x_charge_code_idstring | nullnullablerequired

    The external ID of the charge code from the integration vendor

    MethodInterface
    /ItfResidentTransactions/GetResidentLeaseChargesResident Transactions
    Example: rent
    x_financial_account_idstring | nullnullablerequired

    The external ID of the financial account from the integration vendor

    MethodInterface
    /ItfResidentTransactions/GetResidentLeaseChargesResident Transactions
    Example: 45000000
    x_lease_idstring | nullnullablerequired

    The external ID of the lease from the integration vendor

    MethodInterface
    /ItfResidentTransactions/GetResidentLeaseChargesResident Transactions
    Example: t0000001
    amount_in_centsnumber | nullnullablerequired

    The total amount of the recurring resident charge

    MethodInterface
    /ItfResidentTransactions/GetResidentLeaseChargesResident Transactions
    Example: 15000
    amount_rawstring | nullnullablerequired

    The raw value for amount from the PMS

    MethodInterface
    /ItfResidentTransactions/GetResidentLeaseChargesResident Transactions
    Example: 150
    is_activenullrequired

    Whether the recurring resident charge is active

    Notice

    This field will always be null for YARDI_REST

    Example: null
    descriptionstring | nullnullablerequired

    Description of the recurring resident charge

    MethodInterface
    /ItfResidentTransactions/GetResidentLeaseChargesResident Transactions
    Example: Monthly Rent [Lease Charge]
    reference_numbernullrequired

    The reference number for the recurring resident charge

    Notice

    This field will always be null for YARDI_REST

    Example: null
    start_datestring | nullnullablerequired

    The start date associated with the recurring resident charge

    MethodInterface
    /ItfResidentTransactions/GetResidentLeaseChargesResident Transactions
    Example: 2025-07-15T00:00:00.000Z
    end_datestring | nullnullablerequired

    The end date associated with the recurring resident charge

    MethodInterface
    /ItfResidentTransactions/GetResidentLeaseChargesResident Transactions
    Example: 2048-08-21T00:00:00.000Z
    frequency_rawnullrequired

    The raw value of the frequency of the recurring resident charge

    Notice

    This field will always be null for YARDI_REST

    Example: null
    frequency_normalizednullrequired

    The frequency of the recurring resident charge

    Notice

    This field will always be null for YARDI_REST

    Example: null
    charge_due_daynullrequired

    The due date associated with the recurring resident charge

    Notice

    This field will always be null for YARDI_REST

    Example: null
    custom_data object | nullrequired
    object
    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    MethodInterface
    /ItfResidentTransactions/GetResidentLeaseChargesResident Transactions
    Example: cmhavc6z669743697761kvjgrutkpgq9
    lease_idstring | nullnullablerequired

    The Propexo unique identifier for the lease

    MethodInterface
    /ItfResidentTransactions/GetResidentLeaseChargesResident Transactions
    Example: cm4xr2ab112938475629nwqklmvbpyzj
    charge_code_idstring | nullnullablerequired

    The Propexo unique identifier for the charge code

    MethodInterface
    /ItfResidentTransactions/GetResidentLeaseChargesResident Transactions
    Example: cm7j8pg9833257334651idtqhw61p5zy
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum25required

    The property management system of record

    Show 13 enum values
    YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI
    Example: YARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/recurring-resident-charges/:recurring_resident_charge_id
curl https://api.propexo.com/v1/recurring-resident-charges/:recurring_resident_charge_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "100001",
"x_property_id": "kjhjhjwe",
"x_location_id": null,
"x_charge_code_id": "rent",
"x_financial_account_id": "45000000",
"x_lease_id": "t0000001",
"amount_in_cents": 15000,
"amount_raw": "150",
"is_active": null,
"description": "Monthly Rent [Lease Charge]",
"reference_number": null,
"start_date": "2025-07-15T00:00:00.000Z",
"end_date": "2048-08-21T00:00:00.000Z",
"frequency_raw": null,
"frequency_normalized": null,
"charge_due_day": null,
"custom_data": "Unknown Type: object,null",
"financial_account_id": "cmhavc6z669743697761kvjgrutkpgq9",
"lease_id": "cm4xr2ab112938475629nwqklmvbpyzj",
"charge_code_id": "cm7j8pg9833257334651idtqhw61p5zy",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}